petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSolvePackageGet

Get's the function that creates the factor matrix if it exist

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolverTypeGet(MatSolverType package,MatType mtype,MatFactorType ftype,PetscBool *foundpackage,PetscBool *foundmtype,PetscErrorCode (**getfactor)(Mat,MatFactorType,Mat*))

### Input Parameters

| package | - name of the package, for example petsc or superlu
| ftype | - the type of factorization supported by the package
| mtype | - the matrix type that works with this package

### Output Parameters

| foundpackage | - PETSC_TRUE if the package was registered
| foundmtype | - PETSC_TRUE if the package supports the requested mtype
| getfactor | - routine that will create the factored matrix ready to be used or NULL if not found

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages